$ErrorActionPreference = 'Stop';

$packageName= 'vivaldi'

$packageArgs = @{
    packageName    = $packageName
    fileType       = 'exe'

    url            = 'https://downloads.vivaldi.com/snapshot-auto/Vivaldi.4.0.2312.3.exe'
    silentArgs     = '--vivaldi-install-dir=$($env:ProgramFiles)\Vivaldi --vivaldi-silent --do-not-launch-chrome --vivaldi-update --system-level'
    
    checksum       = '99ED364D381D8835007A4B6F07F995EF002EC0122C62D26522FF75D00DE9AC3A'
    checksumType   = 'sha256'
    url64bit       = 'https://downloads.vivaldi.com/snapshot-auto/Vivaldi.4.0.2312.3.x64.exe'
    checksum64     = 'A32CF57BE4563BCB09B3671FC5E5B12A12B527CAF123A2B83662E2EC6465DF2F'
    checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
